<?php 
// 버전: 0.1
// 코딩: 도아(artech@qaos.com)
// 버그 보고: http://offree.net/473
//
// 설명:
// 태터툴즈가 <pre> 태그내의 문자열에서 자동으로 추가하는 <br> 태그를 제거하는  플러그인
// 입니다.
//
// <PRE> 태그는 태그내의 공백 문자(공백, 탭, 개행등)을 있는 그대로 처리하기 때문에 <PRE>
// 태그 내의 개행 문자에는 <BR> 태그가 붙지 않아야 하지만 태터툴즈의 경우 강제로 <BR> 태
// 그를 붙이기 때문에 이 문제를 수정한 플러그인 입니다.
// 태터툴즈 1.0.4, 단일 사용자 환경에서 테스트했으며, 글 중간에 여러개의 <PRE> 태그가 나
// 와도 정상적으로 동작하는 것을 확인했습니다.
//
// 설치:
// 태터툴즈의 플러그인 폴더(plugins)에 폴더째 올리고 태터툴즈의 관리 도구/환경 설정/플러
// 그인 설정에서 StripBRTags를 미사용에서 사용중으로 변경하면됩니다.
//
// 관련글:
// http://offree.net/473

function StripBRTags($target, $mother) {
	$target = str_replace('$', '&#36;', $target);
	$search = "(<pre[^>]*>)((.|\n)*?)(<.*pre[^>]*>)";
	$replace = '"$1".preg_replace("/(<br[^>]*>\r\n|<br[^>]*>\n|<br[^>]*>)/", "\n", "$2")."$4"';
	$target=preg_replace("/$search/ie", $replace, $target);
	$target=str_replace("\\'", "'", $target);
	return $target;
}
?>
